## org.eclipse.m2m.atl.engine.emfvm
Class ASMXMLReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.xml.sax.SAXParseException
                      org.eclipse.m2m.atl.engine.emfvm.ASMXMLReaderException

All Implemented Interfaces:
  java.io.Serializable

    public class ASMXMLReaderException

extends org.xml.sax.SAXParseException

An ASM XML read exception.

See Also:
  Serialized Form

Constructor Summary
`ASMXMLReaderException(java.lang.String message, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber, java.lang.Exception e)` Creates a new `ASMXMLReaderException` with the given parameters.

Method Summary

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMXMLReaderException

    public ASMXMLReaderException(java.lang.String message,
                                 java.lang.String publicId,
                                 java.lang.String systemId,
                                 int lineNumber,
                                 int columnNumber,
                                 java.lang.Exception e)

  Creates a new `ASMXMLReaderException` with the given parameters.

  Parameters:
    `message` - the error message
    `publicId` - the public id
    `systemId` - the system id
    `lineNumber` - the error location line
    `columnNumber` - the error location column
    `e` - the exception

Copyright 2007 IBM Corporation and others. All Rights Reserved.